# change-file-name(2)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

change-file-name - Change the file name of the current buffer

## SYNOPSIS

change-file-name "file-name" (C-x n)

## DESCRIPTION

change-file-name changes the file name of the current buffer to file-name. A validity check is made on the given file name and if found to be invalid (e.g. its a directory) the name is rejected.

## SEE ALSO

change-buffer-name(2), write-buffer(2).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>